package com.wastedpotential {
	import net.flashpunk.Entity;
	import net.flashpunk.utils.Draw;		
	
	public class DebugEntity extends Entity {
		
		
		//- this class just sets up an entity with debugging functions
		public function DebugEntity() {
			//trace("DebugEntity :: CONSTRUCTOR");
			super();
		}
		
		//- shows the entity's hitbox if Settings.showHitBoxes is set to true
		override public function render():void {
			//trace("DebugEntity :: render");
			super.render();
			
			//check hitbox visibility setting: 
			if (Settings.showHitboxes) {
				Draw.hitbox(this, true, 0xFFFF00, 0.8);
			}
		}
		
	} //end class
} //end package