package com.wastedpotential {
	import net.flashpunk.graphics.Image;	
	import net.flashpunk.FP;

	public class Item extends DebugEntity {
		
		[Embed(source = '../../assets/cupcake.gif')] private const ITEM_IMAGE:Class;

		
		public function Item() {
			//trace("Item :: CONSTRUCTOR");
			graphic = new Image(ITEM_IMAGE); //set up graphic
			setHitbox(24, 24, -4, -8); //same as setting height and width
			type = "item"; //needed for collision tests
		}
		
		//- Here we could place specific destroy-behavior for the Item.
		public function destroy():void {
			//trace("Item :: destroy");
			FP.world.remove(this);
		}
		
	} //end class
} //end package