package com.wastedpotential {	

	public class Settings {
		
		//general settings:
		public static const STAGE_WIDTH:int = 544;
		public static const STAGE_HEIGHT:int = 416;
		public static const FPS:int = 60;
		public static const FIXED_TIMESTEP:Boolean = false; //for some reason, using a fixed timestep breaks the sprite animations
		
		//debug settings:
		public static var showHitboxes:Boolean = false;
		
		//game settings:
		public static var maxXSpeed:Number = 5;		
		public static var acceleration:Number = 0.4;
		public static var gravity:Number = 2;
		public static var jumpVelocity:Number = 20;
		
		//THIS CLASS HAS NO CONSTRUCTOR BECAUSE IT IS A "SINGLETON" VAR HOLDER
		
		
	} //end class	
} //end package